using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Drawing.Drawing2D;

using PFS.GUI.Controls.PFSGrid;

namespace PFSTestApp
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Panel panel1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		private PFSGrid Grid = new PFSGrid();

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			Grid.Columns.Add(" ", 100);
			Grid.Columns.Add("  ", 100);


			for(int i = 0; i<12; i++)
			{
				PFItem item = new PFItem();
				item.SubItems.Add(new PFSubItem());
				item.SubItems.Add(new PFSubItem());
				item.SubItems[0].EnabledEditing = false;
				item.SubItems[1].EnableOneClickEditing = true;
				item.SubItems[1].EnableAutoApply = true;
				Grid.Items.Add(item);
			}

			Grid.Items[0].SubItems[0].SetProperty(" (System.String): ", DynamicPropertyType.String);
			Grid.Items[1].SubItems[0].SetProperty(" (System.Boolean): ", DynamicPropertyType.String);
			Grid.Items[2].SubItems[0].SetProperty(" (System.Color): ", DynamicPropertyType.String);
			Grid.Items[3].SubItems[0].SetProperty(" (System.DateTime): ", DynamicPropertyType.String);
			Grid.Items[4].SubItems[0].SetProperty("   (System.DateTime): ", DynamicPropertyType.String);
			Grid.Items[5].SubItems[0].SetProperty(" (System.DateTime): ", DynamicPropertyType.String);
			Grid.Items[6].SubItems[0].SetProperty(" (System.Decimal): ", DynamicPropertyType.String);
			Grid.Items[7].SubItems[0].SetProperty("  (System.String): ", DynamicPropertyType.String);
			Grid.Items[8].SubItems[0].SetProperty(" (System.Drawing.Font): ", DynamicPropertyType.String);
			Grid.Items[9].SubItems[0].SetProperty("  (System.Integer [1..10]]): ", DynamicPropertyType.String);
			Grid.Items[10].SubItems[0].SetProperty("  (System.Drawing.DashStyle): ", DynamicPropertyType.String);
			Grid.Items[11].SubItems[0].SetProperty("  (System.Integer [1..10]]): ", DynamicPropertyType.String);

			Grid.Items[0].SubItems[1].SetProperty("", DynamicPropertyType.String);
			Grid.Items[1].SubItems[1].SetProperty(true, DynamicPropertyType.Boolean);
			Grid.Items[2].SubItems[1].SetProperty(Color.Blue, DynamicPropertyType.Color);
			Grid.Items[3].SubItems[1].SetProperty(DateTime.Now, DynamicPropertyType.Date);
			Grid.Items[4].SubItems[1].SetProperty(DateTime.Now, DynamicPropertyType.DateTime);
			Grid.Items[5].SubItems[1].SetProperty(DateTime.Now, DynamicPropertyType.Time);
			Grid.Items[6].SubItems[1].SetProperty(10.0M, DynamicPropertyType.Decimal);
			Grid.Items[6].SubItems[1].SetDecimalPlaces(4, false);
			Grid.Items[6].SubItems[1].Property.Increment = 0.0001M;

			Grid.Items[7].SubItems[1].SetProperty("", DynamicPropertyType.FileName);
			Grid.Items[8].SubItems[1].SetProperty(this.Font, DynamicPropertyType.Font);
			Grid.Items[9].SubItems[1].SetProperty(10, DynamicPropertyType.Integer);
			Grid.Items[10].SubItems[1].SetProperty(DashStyle.Solid, DynamicPropertyType.LineStyle);
			Grid.Items[11].SubItems[1].SetProperty(2, DynamicPropertyType.LineWidth);

			Grid.Dock = DockStyle.Fill;
			Grid.AllowMultiselect = true;
			this.panel1.Controls.Add(Grid);

			Grid.HeaderWordWrap = false;
			Grid.ItemWordWrap = false;

			this.Grid.GridColor = Color.Black;
			this.Grid.GridLineStyle = DashStyle.Solid;

			Grid.Refresh();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.panel1 = new System.Windows.Forms.Panel();
			this.SuspendLayout();
			// 
			// panel1
			// 
			this.panel1.Dock = System.Windows.Forms.DockStyle.Fill;
			this.panel1.Location = new System.Drawing.Point(0, 0);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(584, 518);
			this.panel1.TabIndex = 0;
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(584, 518);
			this.Controls.Add(this.panel1);
			this.Name = "Form1";
			this.Text = "Form1";
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

	}
}
